## NetSelect_0-2.zip

=== Makefile ===
PREFIX = /usr/local
BINDEST = ${PREFIX}/bin
MANDEST = ${PREFIX}/man/man8

CC = gcc
CFLAGS = -O2 -Wall -I. -g
LDFLAGS = -g
LIBS =

ifdef OS2
LDFLAGS += -Zsmall-conv
LIBS += -lsocket
BINSUFFIX = .exe
endif

netselect: netselect.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
ifdef OS2
	emxbind -bwq netselect
else
	-sudo chown root netselect && sudo chmod +s netselect
endif

install: $(PROG)
	-install -d ${BINDEST}
#	-install -d ${MANDEST}
ifdef OS2
	emxbind -bwsq netselect
	install -o root -g root -m 4755 netselect$(BINSUFFIX) $(BINDEST)
else
	install -s -o root -g root -m 4755 netselect $(BINDEST)
endif
#	install -o root -g root -m 0644 netselect.8 $(MANDEST)

uninstall:
	$(RM) ${BINDEST}/netselect${BINSUFFIX} ${MANDEST}/netselect.8

clean:
	$(RM) netselect *.o *~ build-stamp core netselect.exe

=== debian/changelog ===
netselect (0.2-3) unstable; urgency=low

  * set architecture to 'any' instead of 'i386' in the control file.
     (thanks to Chris Chemelis <chris@beezer.med.miami.edu> for this one)

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:43:40 -0400

netselect (0.2-2) unstable; urgency=low

  * files were installing into /usr/local -- oops.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 13:30:06 -0400

netselect (0.2-1) unstable; urgency=low

  * Packaging my new program, "netselect," which chooses the fastest of
    a set of servers automatically.

 -- Avery Pennarun <apenwarr@debian.org>  Tue,  8 Sep 1998 02:49:57 -0400


Local variables:
mode: debian-changelog
End:      

=== debian/control ===
Source: netselect
Section: net
Priority: optional
Maintainer: Avery Pennarun <apenwarr@debian.org>
Standards-Version: 2.4.1

Package: netselect
Architecture: any
Depends: ${shlibs:Depends}
Description: Choose the fastest server automatically.
 .
 This is netselect, an ultrafast intelligent parallelizing binary-search
 implementation of "ping."  You give it a (possibly very long) list of
 servers, and it chooses the fastest/closest one automatically.  It's good
 for finding the fastest ftp.debian.org mirror, the least laggy IRC server,
 or the best Squid neighbour.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>
# And fiddled with by Avery Pennarun for use with netselect

package	= netselect
debtmp	:= $(shell pwd)/debian/tmp

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build

binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr install
	dh_installdocs			README HISTORY
#	dh_installmenu
#	dh_installinit			--noscripts
#	dh_installcron
#	dh_installmanpages
	dh_undocumented
	dh_installexamples		debian-ftp-mirrors
	dh_installchangelogs		ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
